Subject: RE: Invoking script non-interactively
From: [email-masked] (Edward Avis)

26 May 1998 15:31:39 -0700
Message-ID: <c=GB%a=TMAILUK%p=DCNET%l=[email-masked]>
To: "[email-masked]'" <[email-masked]>,
        "[email-masked]'" <[email-masked]>

>You could make a copy of your cygnus.bat and make bash execute your
>script by adding it to the call. This could look like this:
>
>@ECHO OFF
>SET MAKE_MODE=unix
>SET CYGWIN32=tty
>SET CYGROOT=e:\cpp\cygwin32.b19
>SET CYGFS=e:/cpp/cygwin32.b19
>SET CYGREL=B19
>SET GCC_EXEC_PREFIX=%CYGROOT%\usr\lib\gcc-lib\
>SET TCL_LIBRARY=%CYGROOT%\usr\share\tcl8.0\
>SET GDBTK_LIBRARY=%CYGFS%/usr/share/gdbtcl
>SET PATH=%CYGROOT%\bin;%CYGROOT%\usr\bin;%PATH%
>
>SET HOME=/home/%USERNAME%
>
>echo Cygnus Cygwin32 %CYGREL%
>bash /bin/myscript
>
>Then you could add this new batch to the at-daemon's job list and have
>it executed when you need it.

I think a better solution would be to add the above environment
variables permanently with Control Panel->System->Environment.  That's
what I have done on my NT box here, it means I can run Cygwin programs
whenever I want to (including from at).

--
Ed Avis <http://members.tripod.com/~mave>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".